/v4/routesCalculate A to B routes and turn-by-turn directions.
Access URL: https://api.traveltimeapp.com/v4/routes
Supports two HTTP request types:
- GET - for simple requests using basic parameters only
- POST - for more complex requests using advanced parameters
A POST request should be used when needing to configure the advanced parameters not available in the GET request.
The access URL is the same as the GET request format, but the differences are:
- Authentication is included included in the request Headers
- Parameters are included in the request Body
Access URL: https://api.traveltimeapp.com/v4/routes
Define your locations to use later in departure_searches or arrival_searches
Searches based on departure time. Leave departure location at no earlier than given time. This allows you to specify a single departure location and multiple arrival locations. You can define a maximum of 10 searches.
Used to identify each search in the results array. Must be unique among all searches.
The id of the location we should start the search from. Must reference an id from locations array.
The ids of locations we should find the routes to. Must reference ids from locations array.
Leave departure location at no earlier than given time. In ISO 8601 format. For example:
2026-03-19T11:00:00Z (representing UTC)
2026-03-19T11:00:00-05:00 (representing New York on Standard Time: UTC-05:00)
Properties to be returned about the locations. Possible values: travel_time, distance, fares, route.
Transportation mode and related parameters. The default parameters are sensible and it is usually enough to only specify the type.
When enabled, range adds a departure window to the departure time, and results are returned for any journeys that depart during this window.
In the results array, the properties of these multiple alternative results are sorted by travel_time in ascending order.
Disabled by default.
Used in public_transport, coach, bus, train, driving+train, driving+public_transport and cycling+public_transport transportation modes. For other modes range search parameters are ignored.
Adjusts the process of looking up the nearest roads from the departure / arrival points.
Searches based on arrival time. Arrive at destination location at no later than given time. This allows you to specify a single arrival location and multiple departure locations. You can define a maximum of 10 searches
The results array which is sorted lexicographically by the id attribute.
Currently “departure_searches.arrival_location_ids” and “arrival_searches.departure_location_ids” array sizes are limited to a maximum of 2 values.
You can use time-filter with route property to work around this limitation, but you will have to specify “travel_time”.
LoadingLoadingLoadingLoadingA GET request is the simplest way to calculate a route. A single route can be generated by specifying the query parameters in the URL.
Mode of transport used.
Available options: walking, public_transport, driving, cycling.
Latitude of the start location.
Longitude of the start location.
Latitude of the end location.
Longitude of the end location.
If this is specified, the journey must depart from the origin no earlier than the specified time.
If this is specified, the journey must arrive at the destination no later than the specified time.
Used for authenticating the request. Visit our developer portal to access your credentials or generate new ones.
Used for authenticating the request. Visit our developer portal to access your credentials or generate new ones.
Successful requests will return an HTTP 200 response.
Response schema - application/json
The results array which is sorted lexicographically by the id attribute.
Array of unreachable locations. A location will be unreachable if either of the following is true:
- The required travel time is greater than 2 hours.
- The location is in an inaccessible location (e.g on a body of water, or in an extremely remote area).
- The location is more than 15 minutes walk from the nearest public transport stop/station (public transport mode only).
Request
https://api.traveltimeapp.com/v4/routes?type=public_transport&origin_lat=51.41070&origin_lng=-0.15540&destination_lat=51.59974&destination_lng=-0.19531&arrival_time=2026-03-19T12:00:00Z&app_id=YOUR_APP_ID&api_key=YOUR_APP_KEYPlease note that to send the GET request you will need to replace the YOUR_APP_ID and YOUR_APP_KEY values with your own credentials.
Request
LoadingResponse
Loading